unit dbutils;
(*
    Yleiskyttisi funktioita tietokantojen kyttn
    MN, 16.4.2003.
*)
interface

uses db;

function FormLocalAccessConnectionString(dbname:String):string;
procedure ActivateDataSets(d: array of TDataSet);

implementation

uses SysUtils;

// Luo ADO:n connectionStringin EXE-hakemistossa olevaan access-tietokantaan (ei tarvita absoluuttista polkua!)
function FormLocalAccessConnectionString(dbname: string):string;
begin
  Result:='Provider=Microsoft.Jet.OLEDB.4.0;Data Source='+ExtractFileDir(ParamStr(0))+'\'+dbname+';Persist Security Info=False';
end;


procedure ActivateDataSets(d: array of TDataSet);
var i:integer;
begin
  for i:=Low(d) to High(d) do d[i].Active:=true;
end;


end.
 